Package com.independentsoft.office.odf.fields

# Class UserVariableDeclaration

java.lang.Object
com.independentsoft.office.odf.fields.UserVariableDeclaration

public class UserVariableDeclaration extends Object
Used to specify user variable values that are displayed using the UserVariableGetField objects.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserVariableDeclaration()`
  Initializes a new instance of the UserVariableDeclaration class.
  `UserVariableDeclaration​(InternalXMLStreamReader reader)`
  Instantiates a new user variable declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserVariableDeclaration`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getFormula()`
  Gets a formula or expression used to compute the value of a field.
  `String`
  `getName()`
  Gets the unique name for a user defined field declaration.
  `VariableValueType`
  `getType()`
  Gets the variable type.
  `String`
  `getValue()`
  Gets user variable declaration.
  `void`
  `setFormula​(String formula)`
  Sets a formula or expression used to compute the value of a field.
  `void`
  `setName​(String name)`
  Sets the unique name for a user defined field declaration.
  `void`
  `setType​(VariableValueType type)`
  Sets the variable type.
  `void`
  `setValue​(String value)`
  Sets user variable declaration.
  `String`
  `toString()`
  Converts the value of the current UserVariableDeclaration object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserVariableDeclaration

    public UserVariableDeclaration()
    Initializes a new instance of the UserVariableDeclaration class.

  - ### UserVariableDeclaration

    public UserVariableDeclaration​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new user variable declaration.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public UserVariableDeclaration clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current UserVariableDeclaration object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the unique name for a user defined field declaration.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the unique name for a user defined field declaration.
    Parameters:
      `name` - the new name

  - ### getFormula

    public String getFormula()
    Gets a formula or expression used to compute the value of a field.
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets a formula or expression used to compute the value of a field.
    Parameters:
      `formula` - the new formula

  - ### getType

    public VariableValueType getType()
    Gets the variable type.
    Returns:
      the type

  - ### setType

    public void setType​(VariableValueType type)
    Sets the variable type.
    Parameters:
      `type` - the new type

  - ### getValue

    public String getValue()
    Gets user variable declaration.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets user variable declaration.
    Parameters:
      `value` - the new value